## org.red5.server.stream
Interface IConsumerService

All Known Implementing Classes:
  ConsumerService

    public interface IConsumerService

Service for consumer objects, used to get pushed messages at consumer endpoint.

Field Summary
`static String` `KEY`

Method Summary
`IMessageOutput` `getConsumerOutput(IClientStream stream)` Handles pushed messages

Field Detail

### KEY

    static final String KEY

See Also:
  Constant Field Values

Method Detail

### getConsumerOutput

    IMessageOutput getConsumerOutput(IClientStream stream)

  Handles pushed messages

  Parameters:
    `stream` - Client stream object
  Returns:
    Message object

Copyright © 2006-2010 The Red5 Project